/* Header for a library to make core operations available in C */

#ifdef __cplusplus
extern "C" {
#endif

int asi_open(int selected_camera);
void asi_get_values(int *width, int *height, double *temperature);
int asi_expose(double exposure, int x, int y, int height, int width, int shutter_flag);
int asi_stop_exposure(void);
int asi_get_status(void);
int asi_get_image(unsigned short int *data);
void asi_set_cooler_temperature(double new_temperature);
void asi_set_cooler_state(int state);
int asi_get_cooler_temperature(double *cooler_temperature);
int asi_guide(int relay, double ontime);
void asi_get_info(char *sensor, char *camera);

#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif
